module Horizon.Spec.Types.Compiler (Compiler(MkCompiler), fromCompiler) where

import           Data.Kind   (Type)
import           Data.String (IsString)
import           Data.Text   (Text)
import           Dhall       (FromDhall, ToDhall)

type Compiler :: Type
newtype Compiler = MkCompiler { fromCompiler :: Text }
  deriving stock (Eq, Show)
  deriving newtype (FromDhall, ToDhall, IsString)
