module Horizon.Spec.Types.Revision (Revision(MkRevision), fromRevision) where

import           Data.Kind   (Type)
import           Data.String (IsString)
import           Data.Text   (Text)
import           Dhall       (FromDhall, ToDhall)

type Revision :: Type
newtype Revision = MkRevision { fromRevision :: Text }
  deriving stock (Eq, Show)
  deriving newtype (FromDhall, ToDhall, IsString)
