module Horizon.Spec.Types.Name (Name(MkName), fromName) where

import           Data.Kind   (Type)
import           Data.String (IsString)
import           Data.Text   (Text)
import           Dhall       (FromDhall, ToDhall)

type Name :: Type
newtype Name = MkName { fromName :: Text }
  deriving stock (Eq, Show, Ord)
  deriving newtype (FromDhall, ToDhall, IsString)
