module Horizon.Spec.Types.PackageList (PackageList(MkPackageList), fromPackageList) where

import           Data.Kind                         (Type)
import           Data.Map                          (Map)
import           Dhall                             (FromDhall, Generic, ToDhall)
import           Horizon.Spec.Types.HaskellPackage (HaskellPackage)
import           Horizon.Spec.Types.Name           (Name)

type PackageList :: Type
newtype PackageList where
  MkPackageList :: { fromPackageList :: Map Name HaskellPackage } -> PackageList
  deriving stock (Show, Eq, Generic)
  deriving newtype (FromDhall, ToDhall)
